Download it now!
Bug 130137 - Replace remaining uses of WNT define checks with _WIN32
Summary: Replace remaining uses of WNT define checks with _WIN32
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: ahmad_g
URL:
Whiteboard: target:6.5.0
Keywords: difficultyBeginner, easyHack, skillCpp, topicCleanup
Depends on:
Blocks:
 
Reported: 2020-01-23 10:24 UTC by Mike Kaganski
Modified: 2020-03-06 19:24 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mike Kaganski 2020-01-23 10:24:14 UTC
https://opengrok.libreoffice.org/search?project=core&full=WNT&type=cxx&n=50

Here are available some instances of precompiler checks like

> #elif defined WNT

We already had some cleanups replacing checks for windows to uniform _WIN32 - see

https://git.libreoffice.org/core/+/ce43d0ae9279edbf1ad108fe0d8325327a038d49
https://git.libreoffice.org/core/+/92ed91610d30246e671226da081da748f6b16aae
https://git.libreoffice.org/core/+/fda27303cfb84ef182696787878dba06c4a129da
https://git.libreoffice.org/core/+/e1e39fac2203d10f8a19b18558c42a1943ad8736
etc.

But these in the opengrok list are likely leftovers from those commits. The easy hack is to clean up them to use consistent check for _WIN32.
Comment 1 Commit Notification 2020-01-25 21:03:06 UTC
A_GAN committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/42e811a80a3c6f0ca5da359c4a526a1cc3e0d528

tdf#130137 Replace remaining uses of WNT define checks with _WIN32

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.